Delete a conference participant
Removes the specified participant from the conference, ending their leg of the call.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.texml.accounts.conferences.participants.delete('call_sid_or_participant_label', {
account_sid: 'account_sid',
conference_sid: 'conference_sid',
});import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.texml.accounts.conferences.participants.delete(
call_sid_or_participant_label="call_sid_or_participant_label",
account_sid="account_sid",
conference_sid="conference_sid",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Texml.Accounts.Conferences.Participants.Delete(
context.TODO(),
"call_sid_or_participant_label",
telnyx.TexmlAccountConferenceParticipantDeleteParams{
AccountSid: "account_sid",
ConferenceSid: "conference_sid",
},
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ParticipantDeleteParams params = ParticipantDeleteParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.callSidOrParticipantLabel("call_sid_or_participant_label")
.build();
client.texml().accounts().conferences().participants().delete(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.texml.accounts.conferences.participants.delete(
"call_sid_or_participant_label",
account_sid: "account_sid",
conference_sid: "conference_sid"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->texml->accounts->conferences->participants->delete(
'call_sid_or_participant_label',
accountSid: 'account_sid',
conferenceSid: 'conference_sid',
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences:participants delete \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sid \
--call-sid-or-participant-label call_sid_or_participant_labelcurl --request DELETE \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label} \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.
"f5586561-8ff0-4291-a51b-c7dfe4139ff9"
The ConferenceSid that uniquely identifies a conference.
CallSid or Label of the Participant to update.
Response
The resource was deleted successfully.
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.texml.accounts.conferences.participants.delete('call_sid_or_participant_label', {
account_sid: 'account_sid',
conference_sid: 'conference_sid',
});import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.texml.accounts.conferences.participants.delete(
call_sid_or_participant_label="call_sid_or_participant_label",
account_sid="account_sid",
conference_sid="conference_sid",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Texml.Accounts.Conferences.Participants.Delete(
context.TODO(),
"call_sid_or_participant_label",
telnyx.TexmlAccountConferenceParticipantDeleteParams{
AccountSid: "account_sid",
ConferenceSid: "conference_sid",
},
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ParticipantDeleteParams params = ParticipantDeleteParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.callSidOrParticipantLabel("call_sid_or_participant_label")
.build();
client.texml().accounts().conferences().participants().delete(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.texml.accounts.conferences.participants.delete(
"call_sid_or_participant_label",
account_sid: "account_sid",
conference_sid: "conference_sid"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->texml->accounts->conferences->participants->delete(
'call_sid_or_participant_label',
accountSid: 'account_sid',
conferenceSid: 'conference_sid',
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences:participants delete \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sid \
--call-sid-or-participant-label call_sid_or_participant_labelcurl --request DELETE \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label} \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"detail": "Resource not found"
}
]
}